import request from '@/axios'
export default {
  /**
   * 
   * @param {*} data 
   * @returns 
   * 首页配置列表
   */
  getCommonBaseHomeList(data) {
    return request({
      url: '/app/common/base/home/list',
      method: 'get',
      params: data,
      noToken: true
    })
  },
  /**
   * 
   * @param {*} data 
   * @returns 
   * 广告位
   */
  advertisinghomeLocationList(data) {
    return request({
      url: '/app/common/base/advertising/adLocation',
      method: 'get',
      params: data,
      noToken: true
    })
  },
  /**
   * 
   * @param {*} data 
   * @returns 
   * 轮播图
   */
  advertisingList(data) {
    return request({
      url: '/app/common/base/advertising/list',
      method: 'get',
      params: data,
      noToken: true
    })
  },
  /**
   * 
   * @param {*} data 
   * @returns 
   * 查询商品推荐列表
   */
  appCommonActivityRecommendList(data) {
    return request({
      url: '/app/common/activity/recommend/list',
      method: 'get',
      params: data,
      noToken: true
    })
  },
  /**
   * 
   * @param {*} data 
   * @returns 
   * 获取课程教育类型
   */
  educationTypeList(data) {
    return request({
      url: '/app/common/course/educationType/list',
      method: 'get',
      params: data,
      noToken: true
    })
  },

  /**
   * 
   * @param {*} data 
   * @returns 
   * 根据教育类型获取业务层级
   */
  businessList(data) {
    return request({
      url: '/app/common/course/business/list',
      method: 'get',
      params: data,
      noToken: true
    })
  },

  /**
   * 
   * @param {*} data 
   * @returns 
   * 根据业务层级获取科目分类
   */
  subjectList(data) {
    return request({
      url: '/app/common/course/subject/list',
      method: 'get',
      params: data,
      noToken: true
    })
  },

  /**
   * 
   * @param {*} data 
   * @returns 
   * 
   * 根据科目分类获取商品列表
   */
  goodsList(data) {
    return request({
      url: '/app/common/goods/list',
      method: 'get',
      params: data,
      noToken: true
    })
  },

  /**
   * 
   * @param {} data 
   * @returns
   * 获取商品详情 
   */
  commonGoodsDetail(data) {
    return request({
      url: '/app/common/goods/' + data,
      method: 'get',
      noToken: true
    })
  },

  /**
   * 
   * @param {*} data 
   * @returns 
   * 获取商品课程列表
   */
  goodsCourseList(data) {
    return request({
      url: '/app/common/goods/course/list/' + data,
      method: 'get',
      noToken: true
    })
  },

  /**
   * 
   * @param {*} data 
   * @returns 
   * 获取商品题库列表
   */
  goodsBankList(data) {
    return request({
      url: '/app/common/bank/list',
      method: 'get',
      params: data,
      noToken: true
    })
  },

  /**
   * 
   * @param {*} data 
   * @returns 
   * 查询题库章卷列表
   */
  goodsChapterList(data) {
    return request({
      url: '/app/common/bank/chapter/list',
      method: 'get',
      params: data,
      noToken: true
    })
  },

  /**
   * 
   * @param {*} data 
   * @returns 
   * 查询题库试卷列表
   */
  goodsExamList(data) {
    return request({
      url: '/app/common/bank/exam/list',
      method: 'get',
      params: data,
      noToken: true
    })
  },

  /**
   * 
   * @param {*} data 
   * @returns 
   * 获取试做题目列表
   */
  goodsQuestionList(data) {
    return request({
      url: '/app/common/bank/question/list',
      method: 'get',
      params: data,
      noToken: true
    })
  },

  /**
   * 
   * @param {*} data 
   * @returns 
   * 获取商品模块列表
   */
  goodsCourseList(data) {
    return request({
      url: '/app/common/goods/course/list/' + data,
      method: 'get',
      noToken: true
    })
  },

  /**
   * 
   * @param {*} data 
   * @returns 
   * 获取未购买商品模块菜单列表
   */
  menuList(data) {
    return request({
      url: '/app/common/course/menuList',
      method: 'get',
      params: data,
      noToken: true
    })
  },

  /**
   * 
   * @param {*} data 
   * @returns 
   * 获取未购买商品节列表
   */
  sectionList(data) {
    return request({
      url: '/app/common/course/sectionList/' + data,
      method: 'get',
      noToken: true
    })
  },

  /**
   * 
   * @param {*} data 
   * @returns 
   * 获取未购买商品章列表
   */
  chapterList(data) {
    return request({
      url: '/app/common/course/chapterList/' + data,
      method: 'get',
      noToken: true
    })
  },

  courseBusiness(data) {
    return request({
      url: '/app/common/course/business/' + data,
      method: 'get',
      noToken: true
    })
  },
  advertisingHomeLocation(data) {
		return request({
			url: '/app/common/base/advertising/homeLocation',
			method: 'get',
			params: data,
			noToken: true
		})
	},

  commonSystemTime() {
		return request({
			url: '/app/common/system/dict/data/sys/time',
			method: 'get',
			noToken: true
		})
	},

  dictList(data) {
		return request({
			url: '/app/common/system/dict/data/list',
			method: 'get',
			params: data,
			noToken: true
		})
	},
	appCommonGoodsCourseModuleFreeExamList(data) {
		return request({
			url: '/app/common/goods/course/moduleFreeExamList/'+data,
			method: 'get',
			noToken:true
			
		})
	}

  

}